import { get } from 'lodash'
import styled from 'styled-components'

import { heightHelper, marginHelper, paddingHelper } from '../styledHelpers'

/** @component */
export default styled.div.attrs({
  'data-test-id': props => props['data-test-id'] || 'row',
})`
  align-items: ${props => get(props, 'alignItems', 'flex-start')};
  background-color: ${props => props.bgColor || 'transparent'};
  display: flex;
  flex-wrap: ${props => props.flexWrap || 'initial'};
  flex-direction: ${props => props.flexDirection || 'row'};
  justify-content: ${({ justify }) => justify || 'space-evenly'};
  height: ${props => get(props, 'height', 'auto')};

  width: 100%;

  ${heightHelper};
  ${marginHelper};
  ${paddingHelper};
`
